Bug 1017461 - [Doc][ICG][Foreman] Switch out MySQL usage for MariaDB (new default for RHOS 5.0)
[Doc][ICG][Foreman] Switch out MySQL usage for MariaDB (new default for RHOS ...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: ---
: 5.0 (RHEL 7)
Assigned To: Andrew Dahms
RHOS Documentation Team
docs-rhos5-icg-others, rhos5-foreman-...
: Documentation
Depends On:
Blocks: 1094546 1094547
  Show dependency treegraph
 
Reported: 2013-10-09 19:49 EDT by Summer Long
Modified: 2014-09-18 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1094546 1094547 (view as bug list)
Environment:
Last Closed: 2014-09-18 19:34:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Summer Long 2013-10-09 19:49:05 EDT
Description of problem:
RHOS 4.0 will be supporting MariaDB. (MySQL 5.5, the latest version was having issues.)

Expected results:
Luckily, MariaDB is a fork of MySQL so should just be a find-and-replace exercise, but need to check.

Additional info:
https://mariadb.com/kb/en/mariadb-versus-mysql-compatibility/
Comment 2 Summer Long 2013-10-30 03:44:38 EDT
Per Scott Lewis, MySQL is staying in for 4.0. Moving to 5.0.
Comment 4 Don Domingo 2014-05-05 21:38:47 EDT
Editing the title of this to limit the scope of Scott Radvan's work to the Foreman bits. Will be cloning this BZ to cover Keystone and "everything else" in the ICG.
Comment 8 Andrew Dahms 2014-09-18 19:34:45 EDT
The RHEL-OSP Installer uses a PostgreSQL database and does not require any updates to documentation to incorporate the move from MySQL to MariaDB at this time.

I am closing this bug, but I will keep track of the possibility that such content may be required in the guide in the future.

Note You need to log in before you can comment on or make changes to this bug.